[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re[4]: SWIG 1.3.25: subversion can not be build with it :(

From: Lev Serebryakov <lev_at_serebryakov.spb.ru>
Date: 2005-07-04 08:46:38 CEST

Hello Max,

Monday, July 4, 2005, 3:09:43 AM, you wrote:

>> I see what I see: with swith-1.3.23 everything is Ok,
MB> Umm, really? We never did, do not, and never will officially support
MB> swig 1.3.23.
  Oh, It is my fault. Previous version I tried was 1.3.21!

>> with swig-1.3.25 I get error messages:
>>
>> For python:
>>
>> /work/a/ports/devel/subversion-python/work/subversion-1.2.0/subversion/bindings/swig/python/libsvn_swig_py/swigutil_py.c
>> In file included from
>> /work/a/ports/devel/subversion-python/work/subversion-1.2.0/subversion/bindings/swig/python/libsvn_swig_py/swigutil_py.c:44:
>> /usr/local/share/swig/1.3.25/runtime.swg:28: macro `SWIG_GetModule' used
>> without args /usr/local/share/swig/1.3.25/runtime.swg:34: macro
>> `SWIG_GetModule' used without args
MB> Curious. WJFFM.
  It is cut'n'paste from one of bugreports, sent to me, as FreeBSD ports maintainer. All these bugreports (about perl and python) was raised just after update swig to 1.3.25 in FreeBSD ports system.
  Today I'll try to reproduce problem with python and send more information about it.

MB> Workaround:
MB> Change the two occurrences of "SWIGEXPORT(foobar)" to "SWIGEXPORT
MB> foobar" in subversion/bindings/swig/core.i
  Thank you!

-- 
Best regards,
 Lev                            mailto:lev@serebryakov.spb.ru
---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Mon Jul 4 08:49:20 2005

This is an archived mail posted to the Subversion Users mailing list.